<?php

namespace App\Filament\Clusters\Settings\Resources\VisaMasterSettings\Schemas;

use App\Modules\VisaMasterPaymentOrder\Models\VisaMasterSettings;
use Filament\Forms\Components\RichEditor;
use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class VisaMasterSettingsForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Select::make('name')
                    ->label(__('Type'))
                    ->options(VisaMasterSettings::types())
                    ->native(false)
                    ->required(),

                TextInput::make('display_name')
                    ->label(__('Name'))
                    ->required()
                    ->string()
                    ->maxLength(255)
                    ->readonly(! user()->isMe()),

                RichEditor::make('value')
                    ->label(__('Content'))
                    ->required()
                    ->columnSpanFull(),
            ]);
    }
}
